---
lang: en
title: 'API docs: authentication-jwt.refreshtoken'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/authentication-jwt
permalink: /doc/en/lb4/apidocs.authentication-jwt.refreshtoken.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/authentication-jwt](./authentication-jwt.md) &gt; [RefreshToken](./authentication-jwt.refreshtoken.md)

## RefreshToken class

<b>Signature:</b>

```typescript
export declare class RefreshToken extends Entity 
```
<b>Extends:</b> [Entity](./repository.entity.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(data)](./authentication-jwt.refreshtoken._constructor_.md) |  | Constructs a new instance of the <code>RefreshToken</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [id](./authentication-jwt.refreshtoken.id.md) |  | number |  |
|  [refreshToken](./authentication-jwt.refreshtoken.refreshtoken.md) |  | string |  |
|  [userId](./authentication-jwt.refreshtoken.userid.md) |  | string |  |


